Error
A valid request URL is required to generate request examples{
"sysidAccount": 12345,
"aqExpirationDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
},
"description": "...",
"active": true,
"chargeCode": "...",
"aqCreatedDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
},
"sysidChargeCode": 12345,
"aqActivationDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
},
"name": "..."
}ChargeCodeService
Get chargecodes 1
Gets the Charge Code value identified by the sysidChargeCode path parameter. If the given ID does not point to an existing charge code, a NotFoundException is returned. The requesting User must have the following rights to perform this task: Rights Required AuthRuleType.MANAGE_CHARGE_CODES ALWAYS
The requesting User must have the following rights to perform this task: Rights Required AuthRuleType.MANAGE_CHARGE_CODES ALWAYS
The requesting User must have the following rights to perform this task:
GET
/
chargecodes
/
{sysidChargeCode}
Error
A valid request URL is required to generate request examples{
"sysidAccount": 12345,
"aqExpirationDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
},
"description": "...",
"active": true,
"chargeCode": "...",
"aqCreatedDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
},
"sysidChargeCode": 12345,
"aqActivationDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
},
"name": "..."
}Path Parameters
Integer SYSID of the Charge Code to remove from the system.
Response
200 - application/json
@return ChargeCode data value identified by the resource ID.
com.agilquest.phoenix.shared.data.chargecode.ChargeCodeData

